import RxValue from "./rx-value";
declare type Predicate<T> = (value: T) => RxValue<boolean>;
export default class RxList<T> extends RxValue<T[]> {
    find(predicate: Predicate<T>): RxValue<T>;
    filter(predicate: Predicate<T>): RxList<T>;
    static ofValues<T>(value: T[]): RxList<T>;
}
export {};
