import { Observable } from "rxjs";
export default class RxValue<T> {
    private readonly source;
    constructor(source: Observable<T>);
    get(key: keyof T): RxValue<T[keyof T]>;
    equals(other: T | RxValue<T>): RxValue<boolean>;
    private equalsRxValue;
    private equalsConst;
    notEquals(other: T | RxValue<T>): RxValue<boolean>;
    private notEqualsRxValue;
    private notEqualsConst;
    asObservable(): Observable<T>;
}
